#include "stdafx.h"
#include "common.h"


namespace myLib {

	using namespace System;

	cmplx operator + ( const cmplx & L, const cmplx & R ){
		cmplx tmp;
		tmp.rl = L.rl + R.rl;
		tmp.im = L.im + R.im;

		return tmp;
	}

	cmplx operator *( const cmplx & L, const cmplx & R ){
		cmplx tmp;
		tmp.rl = L.rl*R.rl - L.im*R.im;
		tmp.im = L.rl*R.im + L.im*R.rl;

		return tmp;
	}

	double Abs( cmplx z ){
		return Math::Sqrt( z.rl*z.rl + z.im*z.im );
	}

} // myLib
