#ifndef COMMON_CK
#define COMMON_CK

namespace myLib {

	using namespace System;

	//  f\NX
	class cmplx {
		public:
			double rl, im;   //   r1:A@im:

			cmplx(): rl(0.0), im(0.0) {}
			cmplx( double x ): rl(x), im(0.0) {}
			cmplx( double r, double i ): rl(r), im(i) {}
			virtual ~cmplx(){}

			cmplx & operator = ( const cmplx & R ){
				if (this != &R){
					rl = R.rl;
					im = R.im;
				}

				return *this;
			}

	};

	cmplx operator + ( const cmplx & L, const cmplx & R );

	cmplx operator *( const cmplx & L, const cmplx & R );

	double Abs( cmplx z );

} // myLib

#endif

