#pragma once

#include "common.h"


namespace PaintMandelbrot {

	using namespace System;
	using namespace System::ComponentModel;
	using namespace System::Collections;
	using namespace System::Windows::Forms;
	using namespace System::Data;
	using namespace System::Drawing;

	using namespace myLib;

	/// <summary>
	/// Form1 ̊Tv
	///
	/// x: ̃NX̖OύXꍇÃNXˑ邷ׂĂ .resx t@CɊ֘Atꂽ
	///          }l[W \[X RpC c[ɑ΂ 'Resource File Name' vpeB
	///          ύXKv܂B̕ύXsȂƁA
	///          fUCiƁÃtH[Ɋ֘Atꂽ[JCYς݃\[XƂA
	///          ݂ɗpłȂȂ܂B
	/// </summary>
	public ref class Form1 : public System::Windows::Forms::Form
	{
	public:
		Form1(void)
		{
			InitializeComponent();
			//
			//TODO: ɃRXgN^ R[hǉ܂
			//
		}

	protected:
		/// <summary>
		/// gp̃\[XׂăN[Abv܂B
		/// </summary>
		~Form1()
		{
			if (components)
			{
				delete components;
			}
		}
	private: System::Windows::Forms::Button^  button1Draw;
	protected: 

	private: System::Windows::Forms::Button^  buttonRev;
	protected: 

	private: System::Windows::Forms::Button^  buttonClose;
	private: System::Windows::Forms::PictureBox^  pictureBox1;

	private:
		/// <summary>
		/// KvȃfUCiϐłB
		/// </summary>
		System::ComponentModel::Container ^components;

#pragma region Windows Form Designer generated code
		/// <summary>
		/// fUCi T|[gɕKvȃ\bhłB̃\bh̓e
		/// R[h GfB^ŕύXȂłB
		/// </summary>
		void InitializeComponent(void)
		{
			this->button1Draw = (gcnew System::Windows::Forms::Button());
			this->buttonRev = (gcnew System::Windows::Forms::Button());
			this->buttonClose = (gcnew System::Windows::Forms::Button());
			this->pictureBox1 = (gcnew System::Windows::Forms::PictureBox());
			(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->pictureBox1))->BeginInit();
			this->SuspendLayout();
			// 
			// button1Draw
			// 
			this->button1Draw->Location = System::Drawing::Point(96, 157);
			this->button1Draw->Name = L"button1Draw";
			this->button1Draw->Size = System::Drawing::Size(75, 23);
			this->button1Draw->TabIndex = 0;
			this->button1Draw->Text = L"`@";
			this->button1Draw->UseVisualStyleBackColor = true;
			this->button1Draw->Click += gcnew System::EventHandler(this, &Form1::button1Draw_Click);
			// 
			// buttonRev
			// 
			this->buttonRev->Enabled = false;
			this->buttonRev->Location = System::Drawing::Point(36, 79);
			this->buttonRev->Name = L"buttonRev";
			this->buttonRev->Size = System::Drawing::Size(75, 23);
			this->buttonRev->TabIndex = 1;
			this->buttonRev->Text = L"@]";
			this->buttonRev->UseVisualStyleBackColor = true;
			this->buttonRev->Click += gcnew System::EventHandler(this, &Form1::buttonRev_Click);
			// 
			// buttonClose
			// 
			this->buttonClose->Location = System::Drawing::Point(184, 79);
			this->buttonClose->Name = L"buttonClose";
			this->buttonClose->Size = System::Drawing::Size(75, 23);
			this->buttonClose->TabIndex = 2;
			this->buttonClose->Text = L"";
			this->buttonClose->UseVisualStyleBackColor = true;
			this->buttonClose->Click += gcnew System::EventHandler(this, &Form1::buttonClose_Click);
			// 
			// pictureBox1
			// 
			this->pictureBox1->Location = System::Drawing::Point(150, 201);
			this->pictureBox1->Name = L"pictureBox1";
			this->pictureBox1->Size = System::Drawing::Size(100, 50);
			this->pictureBox1->TabIndex = 3;
			this->pictureBox1->TabStop = false;
			// 
			// Form1
			// 
			this->AutoScaleDimensions = System::Drawing::SizeF(6, 12);
			this->AutoScaleMode = System::Windows::Forms::AutoScaleMode::Font;
			this->ClientSize = System::Drawing::Size(284, 263);
			this->Controls->Add(this->pictureBox1);
			this->Controls->Add(this->buttonClose);
			this->Controls->Add(this->buttonRev);
			this->Controls->Add(this->button1Draw);
			this->Name = L"Form1";
			this->Text = L"Form1";
			(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->pictureBox1))->EndInit();
			this->ResumeLayout(false);

		}
#pragma endregion


	private: System::Void buttonClose_Click(System::Object^  sender, System::EventArgs^  e) {
				 Close();
			 }

		Bitmap ^ bm;

		int iw, ih;
		double R0, R1, I0, I1;

		int check_c( cmplx c ){
			int N = 0;
			cmplx z(0.0, 0.0);
			do {
					z = z * z + c;
					N++;
			} while ((Abs(z) < 2.0) && (N < 100));

			return N;
		}

		Color SetColor( int N ){
			Color cl;
			switch (int(N * N * 6.0 / 10001)){
				case 0: cl = Color::White; break;
				case 1: cl = Color::Fuchsia; break;
				case 2: cl = Color::Yellow; break;
				case 3: cl = Color::Lime; break;
				case 4: cl = Color::Aqua; break;
				case 5: cl = Color::Blue; break;
				default:
						cl = Color::Black; break;
			}

			return cl;
		}


	private: System::Void button1Draw_Click(System::Object^  sender, System::EventArgs^  e) {
				 this->Width = 500;
				 this->Height = 500;
				 this->Update();
				 button1Draw->Hide();
				 buttonRev->Top = 0;
				 buttonRev->Left = 0;
				 buttonClose->Top = 0;
				 buttonClose->Left = this->ClientSize.Width - buttonClose->Width;
				 iw = this->ClientSize.Width;
				 ih = this->ClientSize.Height - buttonClose->Height;
				 pictureBox1->Top = buttonClose->Height;
				 pictureBox1->Left = 0;
				 pictureBox1->Width = iw;
				 pictureBox1->Height = ih;
				 bm = gcnew Bitmap( iw, ih );

				 R0 = -0.220;
				 R1 = -0.205;
				 I0 =  0.680;
				 I1 =  0.693;

				 for (int ix = 0; ix < iw; ix++){
					 for (int iy = 0; iy < ih; iy++){
							cmplx c( R0 + ix * (R1 - R0) / iw, I0 + iy * (I1 - I0) / ih );
							int N = check_c( c );
							bm->SetPixel( ix, iy, SetColor(N) );
					 }
					 pictureBox1->Image = bm;
					 Update();
				 }

				 buttonRev->Enabled = true;
				 buttonRev->Focus();
			 }
private: System::Void buttonRev_Click(System::Object^  sender, System::EventArgs^  e) {
				 for (int ix = 0; ix < iw; ix++){
					 for (int iy = 0; iy < ih; iy++){
						 Color cl = bm->GetPixel( ix, iy );
						 int cr = 255 - cl.R;
						 int cg = 255 - cl.G;
						 int cb = 255 - cl.B;
						 bm->SetPixel( ix, iy, Color::FromArgb( cr, cg, cb ) );
					 }
					 pictureBox1->Image = bm;
					 Update();
				 }
		 }
};
}

